SwingExercise Class Reference

Swing exercise. More...

`#include <ql/instruments/vanillaswingoption.hpp>`

Inheritance diagram for SwingExercise:
[legend]

## Public Member Functions

| SwingExercise (const std::vector< Date > &dates, const std::vector< Size > &seconds=std::vector< Size >())
| SwingExercise (const Date &from, const Date &to, Size stepSizeSecs)
const std::vector< Size > & | seconds () const
std::vector< Time > | exerciseTimes (const DayCounter &dc, const Date &refDate) const
Public Member Functions inherited from BermudanExercise
| BermudanExercise (const std::vector< Date > &dates, bool payoffAtExpiry=false)
Public Member Functions inherited from EarlyExercise
| EarlyExercise (Type type, bool payoffAtExpiry=false)
bool | payoffAtExpiry () const
Public Member Functions inherited from Exercise
| Exercise (Type type)
Type | type () const
Date | date (Size index) const
Date | dateAt (Size index) const
const std::vector< Date > & | dates () const
| Returns all exercise dates.
Date | lastDate () const

## Additional Inherited Members

Public Types inherited from Exercise
enum | Type { American, Bermudan, European }
Protected Attributes inherited from Exercise
std::vector< Date > | dates_
Type | type_

## Detailed Description

Swing exercise.

A Swing option can only be exercised at a set of fixed date times